Bug 827822 - oprof_start: kernel vs. user option flipping
oprof_start: kernel vs. user option flipping
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: oprofile (Show other bugs)
18
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: William Cohen
Fedora Extras Quality Assurance
:
: 827823 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-03 04:02 EDT by Jan Kratochvil
Modified: 2014-02-05 06:59 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 06:59:31 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Kratochvil 2012-06-03 04:02:00 EDT
Description of problem:
On each execution of oprof_start "Profile kernel" vs. "Profile user binaries" are randomly exchanged.

Version-Release number of selected component (if applicable):
oprofile-gui-0.9.6-21.fc16.x86_64

How reproducible:
Always.

Steps to Reproduce:
Launch oprof_start.
Turn on: No kernel image
Turn off: Profile kernel
Turn on (keep it): Profile user binaries
click: Save and quit
Launch oprof_start.

Actual results:
Turned ON: Profile kernel
Turned OFF: Profile user binaries

Expected results:
Turned OFF: Profile kernel
Turned ON: Profile user binaries

Additional info:
There is flipping:
/root/.oprofile/daemonrc:
-CHOSEN_EVENTS_0=CPU_CLK_UNHALTED:100000:0:0:1
+CHOSEN_EVENTS_0=CPU_CLK_UNHALTED:100000:0:1:0
Comment 1 Fedora End Of Life 2013-01-16 15:52:04 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Jan Kratochvil 2013-01-17 09:19:33 EST
oprofile-gui-0.9.7-2.fc17.x86_64
Comment 3 Fedora End Of Life 2013-07-04 00:18:42 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 4 Jan Kratochvil 2013-07-04 15:05:05 EDT
oprofile-gui-0.9.8-3.fc18.x86_64
Comment 5 Jan Kratochvil 2013-07-04 15:07:56 EDT
*** Bug 827823 has been marked as a duplicate of this bug. ***
Comment 6 Fedora End Of Life 2013-12-21 03:37:49 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 7 Fedora End Of Life 2014-02-05 06:59:33 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.